﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SerrateTFC.Domain.Data
{
    /// <summary>
    /// Repositori de només lectura
    /// </summary>
    public interface IReadRepository<T> where T : class, IEntity
    {
        T GetById(Guid id);
        IEnumerable<T> GetAll();
        IEnumerable<T> Find(Func<T, bool> where);
    }
}
