﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.ValueObjects;
using SerrateTFC.Domain.Data;

namespace SerrateTFC.Domain.Entities
{
    /// <summary>
    /// Entitat client
    /// </summary>
    public class Customer : IEntity
    {
        public Guid Id { get; set; }

        public string CompanyName { get; set; }

        public string Description { get; set; }

        public string Telephone { get; set; }

        public string Fax { get; set; }

        public Address Address { get; set; }
    }
}
