﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Data;

namespace SerrateTFC.Domain.Entities
{
    /// <summary>
    /// Entitat projecte
    /// </summary>
    public class Project : IEntity
    {
        public Guid Id { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public Guid CustomerId { get; set; }
        public Guid ProjectManagerId { get; set; }
        public IList<Task> Tasks { get; set; }
        public decimal Progress { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public bool IsRssEnabled { get; set; }
    }
}
