﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SerrateTFC.Domain.ValueObjects
{
    /// <summary>
    /// Entitat adreça
    /// </summary>
    public class Address
    {
        public string PublicAddress { get; private set; }
        public string City { get; private set; }
        public string PostalCode { get; private set; }
        public string Country { get; private set; }

        protected Address()
        { }

        public Address(string publicAddress, string city, string postalCode, string country)
        {
            PublicAddress = publicAddress;
            City = city;
            PostalCode = postalCode;
            Country = country;
        }
    }
}
