﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Runtime.Serialization;

namespace SerrateTFC.WindowsPhone.Dto
{
    [DataContract(Namespace = "")]
    public class TaskItem
    {
        [DataMember]
        public Guid Id { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public string ProjectName { get; set; }
        [DataMember]
        public string StartDate { get; set; }
        [DataMember]
        public string EndDate { get; set; }

        public string StartDateValue
        {
            get
            {
                return DateTime.Parse(StartDate).ToString("dd/MM/yyyy");
            }
        }

        public string CompleteName
        {
            get
            {
                return string.Format("{0} ({1})", Name, ProjectName);
            }
        }
    }
}
