﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SerrateTFC.WindowsPhone.ViewModels;

namespace SerrateTFC.WindowsPhone.Views
{
    public partial class LogOnView : UserControl
    {
        public event EventHandler LoggedOn;

        private LogOnViewModel _viewModel;

        public LogOnView()
        {
            InitializeComponent();

            _viewModel = new LogOnViewModel();
            DataContext = _viewModel;
        }

        private void btnLogOn_Click(object sender, RoutedEventArgs e)
        {
            _viewModel.LogOn(
                (bool isLoggedIn) =>
                {
                    if (isLoggedIn)
                    {
                        if (LoggedOn != null)
                            LoggedOn(sender, e);
                    }
                    else
                    {
                        lblError.Text = "Usuari/Contrasenya incorrectes";
                    }
                });
        }
    }
}
