﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SerrateTFC.Domain.Data
{
    /// <summary>
    /// Contracte per al patró UnitOfWork.
    /// Més informació: http://msdn.microsoft.com/en-us/magazine/dd882510.aspx
    /// </summary>
    public interface IUnitOfWork
    {
        /// <summary>
        /// Quan es crida guarda tots els canvis realitzats fins al moment
        /// </summary>
        int SaveChanges();
    }
}
