﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;

namespace SerrateTFC.Domain.DomainServices
{
    public interface ITaskDomainService
    {
        void SaveTask(Task entity);
        void DeleteTask(Task entity);
        Task GetById(Guid id);
        IEnumerable<Task> GetAll();
        IEnumerable<Task> GetTasksByProject(Guid projectId);
    }
}
