﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;

namespace SerrateTFC.Domain.DomainServices
{
    public interface IUserDomainService
    {
        void SaveUser(User entity);
        void DeleteUser(User entity);
        User GetById(Guid id);
        IEnumerable<User> GetAll();
        bool ValidateUser(string userName, string password);
        User GetUserByUsername(string userName);
    }
}
