﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using SerrateTFC.Localization.Labels;

namespace SerrateTFC.Web.Models
{
    public class LogOnModel
    {
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "UserName", ResourceType = typeof(Labels))]
        public string UserName { get; set; }

        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [DataType(DataType.Password)]
        [Display(Name = "Password", ResourceType = typeof(Labels))]
        public string Password { get; set; }

        [Display(Name = "RememberMe", ResourceType = typeof(Labels))]
        public bool RememberMe { get; set; }
    }
}
