﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Runtime.Serialization;

namespace SerrateTFC.WindowsPhone.Dto
{
    [DataContract(Namespace = "")]
    public class TaskDetailsResponse
    {
        [DataMember]
        public Guid Id { get; set; }
        [DataMember]
        public Guid ProjectId { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public string Description { get; set; }
        [DataMember]
        public decimal Progress { get; set; }
        [DataMember]
        public int Priority { get; set; }
        [DataMember]
        public Guid AssignedId { get; set; }
        [DataMember]
        public string StartDate { get; set; }
        [DataMember]
        public string EndDate { get; set; }
    }

    [DataContract(Namespace = "")]
    public class TaskDetailsRequest
    {
        [DataMember]
        public Guid Id { get; set; }
        [DataMember]
        public Guid ProjectId { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public string Description { get; set; }
        [DataMember]
        public decimal Progress { get; set; }
        [DataMember]
        public int Priority { get; set; }
        [DataMember]
        public Guid AssignedId { get; set; }
        [DataMember]
        public DateTime StartDate { get; set; }
        [DataMember]
        public DateTime EndDate { get; set; }
    }
}
